# Class ProcessingInstruction

java.lang.Object
nu.validator.saxtree.Node
nu.validator.saxtree.ProcessingInstruction

All Implemented Interfaces:
  `Locator2, Locator`

public final class ProcessingInstruction extends Node
A processing instruction.

Version:
  $Id$
Author:
  hsivonen

## Constructor Summary

Constructors
Constructor
Description
`ProcessingInstruction(Locator locator, String target, String data)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getData()`
Returns the data.
`NodeType`
`getNodeType()`
Return the node type.
`String`
`getTarget()`
Returns the target.

### Methods inherited from class Node

`detach, getAttributes, getColumnNumber, getEncoding, getFirstChild, getLineNumber, getLocalName, getName, getNextSibling, getParentNode, getPrefixMappings, getPreviousSibling, getPublicId, getPublicIdentifier, getQName, getSystemId, getSystemIdentifier, getUri, getXMLVersion`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProcessingInstruction

public ProcessingInstruction(Locator locator, String target, String data)
Constructor.

Parameters:
  `locator` - the locator
  `target` - PI target
  `data` - PI data

## Method Details

### getNodeType

public NodeType getNodeType()
Description copied from class: `Node`
Return the node type.

Specified by:
  `getNodeType` in class `Node`
Returns:
  the node type
See Also:
  - `Node.getNodeType()`

### getData

public String getData()
Returns the data.

Overrides:
  `getData` in class `Node`
Returns:
  the data

### getTarget

public String getTarget()
Returns the target.

Overrides:
  `getTarget` in class `Node`
Returns:
  the target